Bug 141084 - URL input of form config popup : cursor jump at start after 1 key press
Summary: URL input of form config popup : cursor jump at start after 1 key press
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.1.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.3 target:7.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-03-17 19:13 UTC by Matheod
Modified: 2021-04-06 19:12 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matheod 2021-03-17 19:13:16 UTC
Description:
When you try to fill the URL input in the form config popup, the input act strangely.

After typing the first letter, the cursor will teleport at the start resulting in incorrect url.

Steps to Reproduce:
1. Add a form input, for exemple a button
2. Right click the input and open form configuration (not input configuration)
3. In the Url field, write "test.fr".

Actual Results:
est.frhttp://t/

Expected Results:
http://test.fr/


Reproducible: Always


User Profile Reset: No



Additional Info:
This issue doesn't happen with the URL input of the button control config when we select action to open an url.

------

Version: 7.1.1.2 (x64) / LibreOffice Community
Build ID: fe0b08f4af1bacafe4c7ecc87ce55bb426164676
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: default; VCL: win
Locale: fr-FR (fr_FR); UI: fr-FR
Calc: threaded
Comment 1 Xisco Faulí 2021-04-01 08:00:10 UTC
reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 7da7f6ca37c92ab33e34a76fd25efab526b7c80a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Xisco Faulí 2021-04-01 08:02:48 UTC
Steps to reproduce:
1. Open Write
2. Insert a push button form
3. Form properties
4. Write in the URL field
Comment 3 Xisco Faulí 2021-04-01 08:03:43 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=1efeb17837c22499f00299c033ae59ba3910f7d7

author		Caolán McNamara <caolanm@redhat.com>	2019-11-04 13:06:04 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-12-09 13:28:35 +0100

weld Property Browser

Bisected with: bibisect-linux64-7.0

Adding Cc: to Caolán McNamara
Comment 4 Xisco Faulí 2021-04-01 08:04:18 UTC
This is similar to bug 140239
Comment 5 Caolán McNamara 2021-04-01 15:51:10 UTC
the property browser is such a tarpit of gotchas :-(
Comment 6 Commit Notification 2021-04-01 20:02:17 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/304e65f5f8fa139aaf5868db4205a95d0176695c

tdf#141084 don't notify that the control has changed content until focus-out

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2021-04-01 20:03:33 UTC
done in main, backport to 7-1 in gerrit
Comment 8 Commit Notification 2021-04-01 20:20:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/d0628bd6813de2685f4367118dc0f9ca036d1eaf

tdf#141084 don't notify that the control has changed content until focus-out

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2021-04-06 08:00:01 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: c47ad11f8c2e917adebbd5d7b3a3ef6cc4b3e670
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 10 Commit Notification 2021-04-06 08:01:08 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/2481c7f308e0a30108fa7a8eedb05e34c457e0d9

tdf#141084 don't notify that the control has changed content until focus-out

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2021-04-06 19:12:24 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8bdf557876a65ab6d7860874ee2c7fd4ca3cc52b

tdf#141084: sw: Add UItest

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.